package com.ruoyi.dw.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 调查问卷答案对象 dw_answer
 * 
 * @author sunyg
 * @date 2025-06-26
 */
public class DwAnswer
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 调查问卷id */
    @Excel(name = "调查问卷id")
    private Long infoId;

    /** 问题id */
    @Excel(name = "问题id")
    private Long questionId;

    /** 回答 */
    @Excel(name = "回答")
    private String answer;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setInfoId(Long infoId) 
    {
        this.infoId = infoId;
    }

    public Long getInfoId() 
    {
        return infoId;
    }

    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }

    public void setAnswer(String answer) 
    {
        this.answer = answer;
    }

    public String getAnswer() 
    {
        return answer;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("infoId", getInfoId())
            .append("questionId", getQuestionId())
            .append("answer", getAnswer())
            .toString();
    }
}
