package com.ruoyi.dw.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 调查问卷问题对象 dw_question
 * 
 * @author sunyg
 * @date 2025-06-26
 */
public class DwQuestion
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 问卷主体id */
    @Excel(name = "问卷主体id")
    private Long infoId;

    /** 问题 */
    @Excel(name = "问题")
    private String question;

    /** 问题排序 */
    @Excel(name = "问题排序")
    private Long questionSort;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setInfoId(Long infoId) 
    {
        this.infoId = infoId;
    }

    public Long getInfoId() 
    {
        return infoId;
    }

    public void setQuestion(String question) 
    {
        this.question = question;
    }

    public String getQuestion() 
    {
        return question;
    }

    public void setQuestionSort(Long questionSort) 
    {
        this.questionSort = questionSort;
    }

    public Long getQuestionSort() 
    {
        return questionSort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("infoId", getInfoId())
            .append("question", getQuestion())
            .append("questionSort", getQuestionSort())
            .toString();
    }
}
